// Gmsh - Copyright (C) 1997-2019 C. Geuzaine, J.-F. Remacle
//
// See the LICENSE.txt file for license information. Please report all
// issues on https://gitlab.onelab.info/gmsh/gmsh/issues.

#ifndef _GMSH_CONFIG_H_
#define _GMSH_CONFIG_H_

/* #undef HAVE_3M */
/* #undef HAVE_ACIS */
#define HAVE_ANN
#define HAVE_BAMG
#define HAVE_BFGS
#define HAVE_BLAS
/* #undef HAVE_BLOSSOM */
/* #undef HAVE_CAIRO */
#define HAVE_DLOPEN
#define HAVE_DINTEGRATION
#define HAVE_DOMHEX
#define HAVE_FLTK
#define HAVE_GMM
#define HAVE_GMP
/* #undef HAVE_HXT */
/* #undef HAVE_HXT3D */
#define HAVE_KBIPACK
#define HAVE_LAPACK
#define HAVE_LIBCGNS
#define HAVE_LIBJPEG
#define HAVE_LIBPNG
#define HAVE_LIBZ
#define HAVE_LINUX_JOYSTICK
#define HAVE_MATHEX
#define HAVE_MED
#define HAVE_MESH
#define HAVE_METIS
#define HAVE_MMG3D
/* #undef HAVE_MPEG_ENCODE */
#define HAVE_MPI
/* #undef HAVE_MUMPS */
#define HAVE_NATIVE_FILE_CHOOSER
#define HAVE_NETGEN
/* #undef HAVE_NUMPY */
/* #undef HAVE_NO_INTPTR_T */
/* #undef HAVE_NO_SOCKLEN_T */
/* #undef HAVE_NO_STDINT_H */
/* #undef HAVE_NO_VSNPRINTF */
#define HAVE_OCC
/* #undef HAVE_OCC_CAF */
#define HAVE_ONELAB
/* #undef HAVE_ONELAB2 */
#define HAVE_ONELAB_METAMODEL
/* #undef HAVE_UDT */
#define HAVE_OPENGL
#define HAVE_OPTHOM
/* #undef HAVE_OSMESA */
#define HAVE_PARSER
/* #undef HAVE_PETSC */
/* #undef HAVE_PETSC4PY */
#define HAVE_PLUGINS
#define HAVE_POST
/* #undef HAVE_POPPLER */
#define HAVE_QUADTRI
/* #undef HAVE_REVOROPT */
#define HAVE_SALOME
/* #undef HAVE_SGEOM */
/* #undef HAVE_SLEPC */
#define HAVE_SOLVER
/* #undef HAVE_TAUCS */
#define HAVE_TETGENBR
/* #undef HAVE_VISUDEV */
#define HAVE_VOROPP
/* #undef HAVE_ZIPPER */

#define GMSH_CONFIG_OPTIONS " 64Bit Ann[system] Bamg Bfgs Blas C++14 Cgns DIntegration Dlopen DomHex Fltk GMP Gmm[system] Jpeg Kbipack Lapack LinuxJoystick MPI MathEx Med Mesh Metis[system] Mmg3d NativeFileChooser Netgen ONELAB ONELABMetamodel OpenCASCADE OpenGL OptHom Parser Plugins Png Post QuadTri Salome Solver TetGen/BR Voro++[system] Zlib"



#endif
